Get transactions
Query transactions that match the specified filters.
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Query Parameters
Workchain of the block.
int32Block shard ID. Provide this parameter with workchain. Example: 8000000000000000.
Sequence number of the block. Provide this parameter with workchain and shard.
int32Masterchain block sequence number.
int32List of account addresses for the transactions. Provide addresses in hex, base64, or base64url form.
Exclude transactions for the specified account addresses.
Transaction hash.
Transaction lt.
int64Query transactions with a generation timestamp at or after the specified timestamp.
int320 <= valueQuery transactions with a generation timestamp at or before the specified timestamp.
int320 <= valueQuery transactions where lt is at or above the specified value.
int640 <= valueQuery transactions where lt is at or below the specified value.
int640 <= valueLimit the number of rows to return. Use with offset to batch requests.
int321 <= value <= 100010Skip the first N rows. Use with limit to batch requests.
int320 <= value0Sort transactions by lt.
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v3/transactions"{ "address_book": { "property1": { "domain": "string", "interfaces": [ "string" ], "user_friendly": "string" }, "property2": { "domain": "string", "interfaces": [ "string" ], "user_friendly": "string" } }, "transactions": [ { "account": "string", "account_state_after": { "account_status": "string", "balance": "string", "code_boc": "string", "code_hash": "string", "data_boc": "string", "data_hash": "string", "extra_currencies": { "property1": "string", "property2": "string" }, "frozen_hash": "string", "hash": "string" }, "account_state_before": { "account_status": "string", "balance": "string", "code_boc": "string", "code_hash": "string", "data_boc": "string", "data_hash": "string", "extra_currencies": { "property1": "string", "property2": "string" }, "frozen_hash": "string", "hash": "string" }, "block_ref": { "seqno": 0, "shard": "0", "workchain": 0 }, "description": { "aborted": true, "action": { "action_list_hash": "string", "msgs_created": 0, "no_funds": true, "result_arg": 0, "result_code": 0, "skipped_actions": 0, "spec_actions": 0, "status_change": "string", "success": true, "tot_actions": 0, "tot_msg_size": { "bits": "0", "cells": "0" }, "total_action_fees": "0", "total_fwd_fees": "0", "valid": true }, "bounce": { "fwd_fees": "0", "msg_fees": "0", "msg_size": { "bits": "0", "cells": "0" }, "req_fwd_fees": "0", "type": "string" }, "compute_ph": { "account_activated": true, "exit_arg": 0, "exit_code": 0, "gas_credit": "0", "gas_fees": "0", "gas_limit": "0", "gas_used": "0", "mode": 0, "msg_state_used": true, "reason": "string", "skipped": true, "success": true, "vm_final_state_hash": "string", "vm_init_state_hash": "string", "vm_steps": 0 }, "credit_first": true, "credit_ph": { "credit": "0", "credit_extra_currencies": { "property1": "string", "property2": "string" }, "due_fees_collected": "0" }, "destroyed": true, "installed": true, "is_tock": true, "split_info": { "acc_split_depth": 0, "cur_shard_pfx_len": 0, "sibling_addr": "string", "this_addr": "string" }, "storage_ph": { "status_change": "string", "storage_fees_collected": "0", "storage_fees_due": "0" }, "type": "string" }, "emulated": true, "end_status": "string", "finality": 0, "hash": "string", "in_msg": { "bounce": true, "bounced": true, "created_at": "0", "created_lt": "0", "decoded_opcode": "string", "destination": "string", "extra_flags": "string", "fwd_fee": "0", "hash": "string", "hash_norm": "string", "ihr_disabled": true, "ihr_fee": "0", "import_fee": "0", "in_msg_tx_hash": "string", "init_state": { "body": "string", "decoded": {}, "hash": "string" }, "message_content": { "body": "string", "decoded": {}, "hash": "string" }, "opcode": 0, "out_msg_tx_hash": "string", "source": "string", "value": "0", "value_extra_currencies": { "property1": "string", "property2": "string" } }, "lt": "0", "mc_block_seqno": 0, "now": 0, "orig_status": "string", "out_msgs": [ { "bounce": true, "bounced": true, "created_at": "0", "created_lt": "0", "decoded_opcode": "string", "destination": "string", "extra_flags": "string", "fwd_fee": "0", "hash": "string", "hash_norm": "string", "ihr_disabled": true, "ihr_fee": "0", "import_fee": "0", "in_msg_tx_hash": "string", "init_state": { "body": "string", "decoded": {}, "hash": "string" }, "message_content": { "body": "string", "decoded": {}, "hash": "string" }, "opcode": 0, "out_msg_tx_hash": "string", "source": "string", "value": "0", "value_extra_currencies": { "property1": "string", "property2": "string" } } ], "prev_trans_hash": "string", "prev_trans_lt": "0", "total_fees": "0", "total_fees_extra_currencies": { "property1": "string", "property2": "string" }, "trace_external_hash": "string", "trace_id": "string" } ]}